Subject: bug#27799: 26.0.50; SVG pictures in EWW: error in process filter, invalid image type 'imagemagick'

From: Jean Louis <[email-masked]>
Date: Mon, 24 Jul 2017 09:09:02 +0300

Hello Lars,

I am doing following configure:

config.status: executing src/epaths.h commands
config.status: executing src/.gdbinit commands
config.status: executing doc/emacs/emacsver.texi commands
config.status: executing etc-refcards-emacsver.tex commands
<DEV> root [ /sources/emacs ]# grep imagemagick configure
with_imagemagick
  --without-imagemagick   don't compile with ImageMagick image support
# Check whether --with-imagemagick was given.
if test "${with_imagemagick+set}" = set; then :
  withval=$with_imagemagick;
     with_imagemagick=$with_features
  if test "${with_imagemagick}" != "no"; then
  Does Emacs use imagemagick?                             ${HAVE_IMAGEMAGICK}
<DEV> root [ /sources/emacs ]# ./configure --prefix=/package/text/emacs-26.0.50 --with-sound=alsa --with-modules --with-x --with-x-toolkit=lucid --without-gconf --without-gsettings --without-libsystemd --without-dbus --without-pop --with-mailutils --with-imagemagick

And I still do not get imagemagick, it says "Does
Emacs use imagemagick = no", even if I do have
imagemagick here.

Before it was just compiling fine. Then I chose
not to compile it, due to some crashes, but
recently, I do not use --without-imagemagick and
it is not compiling for some reason, I do not know
why.

Anyway I will try the version from Git today, to
see how SVG works.
On Sun, Jul 23, 2017 at 03:25:39PM +0200, Lars Ingebrigtsen wrote:
> Jean Louis <[email-masked]> writes:
> 
> > Hello,
> >
> > I have compiled emacs with Imagemagick exclusively
> > this time.
> >
> > Here is how I did it:
> >
> > $ ./configure --prefix=/package/text/emacs-26.0.50 --with-sound=alsa
> > --with-modules --with-x --with-x-toolkit=lucid --without-gconf
> > --without-gsettings --without-libsystemd --without-dbus --without-pop
> > --with-mailutils
> 
> [...]
> 
> > Debugger entered--Lisp error: (error "Invalid image type ‘imagemagick’")
> >   signal(error ("Invalid image type ‘imagemagick’"))
> >   error("Invalid image type `%s'" imagemagick)
> 
> Well, you still don't have imagemagick support in your Emacs, so I don't
> think you got all the libraries needed.  The easiest way to pull in the
> dependencies in Ubuntu/Debian is "sudo apt-get build-dep emacs25".
> 
> >   image-type("<?xml version="1.0"
> 
> Anyway, I think it's a mistake to try to use imagemagick for svg images
> here -- I think it's something I checked in inadvertently in January.
> I've now reverted that bit, so that svg images should be displayed
> properly now on the Emacs trunk.
> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no